Disabling auto-update on snes9xgx

Discussion in 'Wii - Emulation and Homebrew' started by xfcrowman, May 7, 2010.

May 7, 2010
  1. xfcrowman
    OP

    Member xfcrowman GBAtemp Fan

    Joined:
    Mar 14, 2009
    Messages:
    430
    Country:
    United States
    Hey guys,

    I'm currently using snes9x-gx version 4.1.5 and I do not want to update to the newest version because the older saves are not compatible with it. I use 4.1.5 pretty regularly and I'm getting tired of seeing the update window pop up every time I boot the app.

    Does anyone have a compiled version of 4.1.5 with the auto-update function disabled? Alternatively, it would be great if someone could let me know what lines in the source are used for the auto-update function. I could just comment out those lines and compile and then I'd have a working copy of 4.1.5 without an auto-update.

    Thanks for any help you can give me!
     
  2. Leiw

    Newcomer Leiw Member

    Joined:
    Dec 17, 2008
    Messages:
    29
    Country:
    Luxembourg
    Looking for something like this too ! I'll be staying on 4.1.5 until my Wii dies
     
  3. Jacobeian

    Member Jacobeian GBAtemp Advanced Maniac

    Joined:
    May 15, 2008
    Messages:
    1,879
    Country:
    Cuba
    in networkop.cpp, change:

    Code:
    static bool updateChecked = false;
    to

    Code:
    static bool updateChecked = true;
     
  4. Leiw

    Newcomer Leiw Member

    Joined:
    Dec 17, 2008
    Messages:
    29
    Country:
    Luxembourg
    Thanks for posting this Jacobeian [​IMG]

    Now only if I could compile it myself... or maybe someone could share a modded version?
     
  5. xfcrowman
    OP

    Member xfcrowman GBAtemp Fan

    Joined:
    Mar 14, 2009
    Messages:
    430
    Country:
    United States
    Thanks Jacobeian! This worked perfectly and it's always nice when you only have one line of code to change.
     
  6. apoptygma

    Member apoptygma GBAtemp Advanced Fan

    Joined:
    Mar 30, 2010
    Messages:
    687
    Country:
    Australia
    Isn't it just the snapshots that aren't compatible? You could use an in-game 'real' save and then update couldn't you?
     
  7. smashdude

    Member smashdude GBAtemp Advanced Fan

    Joined:
    Apr 1, 2010
    Messages:
    960
    Location:
    San Diego
    Country:
    United States
    Should I do this too?
     
  8. Skater4599

    Member Skater4599 GBAtemp Advanced Fan

    Joined:
    May 29, 2008
    Messages:
    939
    Location:
    United States
    Country:
    United States
    Yes this is what i did with mine, and created my snapshots again with newer better version
     
  9. RchUncleSkeleton

    Member RchUncleSkeleton Skeletron 9000

    Joined:
    Feb 2, 2009
    Messages:
    1,131
    Location:
    California, USA
    Country:
    United States
    I know this is an old topic but I am wondering if anyone either has a modified version of this emulator or how I can modify it to not ask to update. I wish to stay on 4.1.5 because certain games such as Earthworm Jim 2 are broken in all the new versions since they switched over to being based of off snes9x 1.52
     
  10. Jacobeian

    Member Jacobeian GBAtemp Advanced Maniac

    Joined:
    May 15, 2008
    Messages:
    1,879
    Country:
    Cuba
    http://code.google.com/p/snes9x-gx/source/detail?r=642

    EJ2 is supposedly fixed in the last versions
     
  11. xfcrowman
    OP

    Member xfcrowman GBAtemp Fan

    Joined:
    Mar 14, 2009
    Messages:
    430
    Country:
    United States

    As Jacobian said in his post, this bug was fixed in the newest revs of SNES9x-GX, so you can compile the newest rev and play Earthworm Jim 2.

    However, I did see that some people were requesting the modded version of SNES9x 4.1.5 that has the update disabled, so I uploaded the .dol to mediafire.

    Hope that this will be useful to some folks.

    If anyone wants the newest rev of SNES9x and can't compile, let me know and I can upload that as well.
     
    Leo Alves likes this.
  12. RchUncleSkeleton

    Member RchUncleSkeleton Skeletron 9000

    Joined:
    Feb 2, 2009
    Messages:
    1,131
    Location:
    California, USA
    Country:
    United States
    Dude xfcrowman, you rock! Thanks a bunch dude! I have no idea what I would have to do to compile the emulator. If you could do that and also point me in the direction of finding out how to do it myself that way I can do it next time a release comes about I would greatly appreciate it!
     
  13. xfcrowman
    OP

    Member xfcrowman GBAtemp Fan

    Joined:
    Mar 14, 2009
    Messages:
    430
    Country:
    United States
    Here is r654 for you, which has the fixes for EJ2 and other games.

    It would take me a while to explain how to compile. I first learned how to do this when sneek was initially released, and I would suggest looking at ChokeD's sneek tutorial to learn more about compiling.

    I'm sure there must be some tutorials that explain how to compile, but I don't know of any.
     
  14. RchUncleSkeleton

    Member RchUncleSkeleton Skeletron 9000

    Joined:
    Feb 2, 2009
    Messages:
    1,131
    Location:
    California, USA
    Country:
    United States
    Thank you very much man! I really appreciate this and I'll look into compiling and see if I can take a crack at it!
     

Share This Page